Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class ClassExtender

    java.lang.Object
      org.codehaus.groovy.runtime.ClassExtender

    public class ClassExtender
    extends java.lang.Object

A helper class used by the runtime to allow Groovy classes to be extended at runtime

Authors:
  James Strachan

Version:
  \$Revision\$

Method Summary
`void` | `addMethod(java.lang.String name, Closure closure)`
`void` | `call(java.lang.String name, java.lang.Object params)`
`protected java.util.Map` | `createMap()`
`java.lang.Object` | `get(java.lang.String name)`
`void` | `remove(java.lang.String name)`
`void` | `removeMethod(java.lang.String name)`
`void` | `set(java.lang.String name, java.lang.Object value)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### addMethod

    public void addMethod(java.lang.String name, Closure closure)

### call

    public void call(java.lang.String name, java.lang.Object params)

### createMap

    protected java.util.Map createMap()

### get

    public java.lang.Object get(java.lang.String name)

### remove

    public void remove(java.lang.String name)

### removeMethod

    public void removeMethod(java.lang.String name)

### set

    public void set(java.lang.String name, java.lang.Object value)

Groovy Documentation